jingrow.listview_settings["Workflow Action"] = {
	get_form_link: (pg) => {
		let pagetype = "";
		let pagename = "";
		if (pg.status === "Open") {
			pagetype = pg.reference_pagetype;
			pagename = pg.reference_name;
		} else {
			pagetype = "Workflow Action";
			pagename = pg.name;
		}
		pagename = pagename.match(/[%'"]/) ? encodeURIComponent(pagename) : pagename;

		return "/app/" + jingrow.router.slug(pagetype) + "/" + pagename;
	},
};
